Subject: Re: [PATCH v3 0/2] fmt-merge-msg: selectively suppress "into <branch>"

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Jul 2020 13:12:02 -0700

Taylor Blau <[email-masked]> writes:

> I think that you could do this without treating 'master' as specially by
> making 'merge.suppressDest' contain the value of 'init.defaultBranch'
> (unless set otherwise).

My understanding is that much more instances of repositories come to
exist by cloning than running "git init".  Hence, the value you set
to the init.defaultBranch has no relevance to the name of the
primary branch in majority of your repositories, whose primary
branch is what their origin has designated before/when you cloned.

And the latter, "what is the primary branch name for this particular
repository?", is what we want to ask here.  The answer to "what is
the first branch name for new repository I will create?" is not a
good proxy for that.

Thanks.